/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "unLHCLoggingDB", "index.html", [
    [ "UNICOS LHC LOGGING DB", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html", [
      [ "INTRODUCTION", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md1", [
        [ "PURPOSE OF THIS DOCUMENT", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md2", null ],
        [ "DEFINITIONS, ACRONYMS and ABBREVIATIONS", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md3", null ]
      ] ],
      [ "Description", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md4", null ],
      [ "LOGGING DB CONCEPT", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md5", null ],
      [ "IMPORT FILE FORMAT", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md6", [
        [ "TEXT IMPORT FILES", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md7", null ],
        [ "XML IMPORT FILES", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#XML_Import_Files", null ]
      ] ],
      [ "User Interface", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md8", [
        [ "Setup", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md9", null ],
        [ "Logging Configuration", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md10", [
          [ "Manage Configurations", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md11", [
            [ "Datapoint List Filtering", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md12", null ]
          ] ],
          [ "Generate Import Files", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md13", null ],
          [ "Import Logging Configuration", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md14", null ],
          [ "Data Consistency Check", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md15", null ],
          [ "Delete Logging Configuration", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md16", null ]
        ] ],
        [ "Diagnostics", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md17", [
          [ "Signal Overview", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md18", null ],
          [ "Transfer History", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md19", null ],
          [ "Transfer Job Monitoring", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md20", null ]
        ] ],
        [ "System Integrity", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md21", [
          [ "Configuration", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md22", null ],
          [ "Diagnostics", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md23", null ]
        ] ]
      ] ],
      [ "Scripts and Libs", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md24", null ],
      [ "Important Tables on DB Side", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md25", null ],
      [ "COMMON USE CASES AND PROCEDURES", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md26", [
        [ "How to Setup LHC Logging DB", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md27", [
          [ "Getting Username for import", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md28", null ],
          [ "Setting up system integrity", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md29", null ]
        ] ],
        [ "How to modify logging configuration", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md30", [
          [ "Registering new signals for logging", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md31", null ],
          [ "Unregistering signals from logging", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md32", null ],
          [ "Deleting Hierarchies", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md33", null ],
          [ "Changing Signals Hierarchy", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md34", null ],
          [ "Renaming Signals", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#Renaming_Signals", [
            [ "Resolve by Delete and Re-Import", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md35", null ]
          ] ],
          [ "Reconnecting Signals", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#Reconnecting_Signals", null ]
        ] ],
        [ "How to manage logging configuration per application", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md36", null ],
        [ "Introducing and modifying the user function", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md37", null ],
        [ "How to check if Logging configuration is up to date", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md38", null ],
        [ "How to request a retransfer", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md39", null ]
      ] ],
      [ "Understanding errors and warnings", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md40", [
        [ "System Integrity", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md41", [
          [ "Transfer jobs", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md42", null ],
          [ "Test Data Points", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md43", null ],
          [ "Data Consistency", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md44", null ],
          [ "Full Consistency", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md45", null ]
        ] ],
        [ "Warnings", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md46", [
          [ "REPLACED CHARACTERS", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#replaced-characters", null ],
          [ "RECONNECTED SIGNAL", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md47", null ],
          [ "RENAMED SIGNAL", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md48", null ]
        ] ],
        [ "Errors", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md49", [
          [ "Invalid Characters", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#invalid-characters", null ],
          [ "Signal Name", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md50", null ],
          [ "Hierarchy", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md51", null ],
          [ "Archive", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md52", null ],
          [ "Parsing", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md53", null ],
          [ "Datapoint", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md54", null ],
          [ "Data Category", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md55", null ]
        ] ],
        [ "Pop-ups", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md56", null ]
      ] ],
      [ "References & useful links", "md__builds_UNICOS_SCADA_unLoggingDB_docs_Manual_01_Documentation.html#autotoc_md57", null ]
    ] ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Reviewed List", "reviewed.html", null ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"deprecated.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';