#uses "fwUnitTestComponentAsserts.ctl"

#uses "unLHCLoggingDB/unLHCLoggingDBParser.ctl"



//-------------------------------------------------------
void test_unLHCLoggingDBParser_setupSuite() {

}

//--------------------------------------------------------
void test_unLHCLoggingDBParser_teardownSuite() {

}

//--------------------------------------------------------
void test_unLHCLoggingDBParser_cleanHierarchies(){
  dyn_string dsHierarchies;
  dyn_string dsHierarchiesExpected;
  
  //list of cases to be checked
  //normal case
  dynAppend(dsHierarchies,"/1/a/b/c/d");
  dynAppend(dsHierarchiesExpected,"/1/a/b/c/d");
  
  //missing first slash
  dynAppend(dsHierarchies,"2/a/b/c/d");
  dynAppend(dsHierarchiesExpected,"/2/a/b/c/d");

  //last slash to be removed 
  dynAppend(dsHierarchies,"/3/a/b/c/d/");
  dynAppend(dsHierarchiesExpected,"/3/a/b/c/d");
  
  dynAppend(dsHierarchies,"/3bis/a/b/c/d/");
  dynAppend(dsHierarchiesExpected,"/3bis/a/b/c/d");  
  
  dynAppend(dsHierarchies,"/4/a/b/c/d////////////////");
  dynAppend(dsHierarchiesExpected,"/4/a/b/c/d");
  
  //first slash to be added and last one to be removed
  dynAppend(dsHierarchies,"5/a/b/c/d/");
  dynAppend(dsHierarchiesExpected,"/5/a/b/c/d");   
  
  //remove also spaces
  dynAppend(dsHierarchies,"/6/a/b/c/d///////////////    ");
  dynAppend(dsHierarchiesExpected,"/6/a/b/c/d");  
  
  //empty hierarchy input should result to an empty output 
  // c.f. https://its.cern.ch/jira/browse/ENS-31230?focusedCommentId=4446464&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-4446464
  dynAppend(dsHierarchies,"");
  dynAppend(dsHierarchiesExpected,"");   

 
  assertTrue( dynlen(dsHierarchies)==dynlen(dsHierarchiesExpected), "The inputs arrays and expected results are not of the same size - Unable to run the tests."); 
  
  //check all cases one by one
  for( int i=1; i<=dynlen(dsHierarchies); i++){
    assertEqual(dsHierarchiesExpected[i], unLHCLoggingDBParser_cleanHierarchies(dsHierarchies[i]), "Hierachy were not cleaned properly. Check the beginning and trailing slashes");
  } 
  
  //and finally check all cases at ones
  assertEqual(dsHierarchiesExpected, unLHCLoggingDBParser_cleanHierarchies(dsHierarchies), "Hierachy were not cleaned properly. Check the beginning and trailing slashes");
}
